/*
    $Id: pathutil.h,v 1.2 2001/02/25 17:32:14 hvr Exp $

    Copyright (C) 2000 Herbert Valerio Riedel <hvr@gnu.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __pathutil_h__
#define __pathutil_h__

#include <glib.h>

gchar *path_simplify (const gchar pathname[]);

gchar *path_add (const gchar basepath[], const gchar addpath[]);

gboolean path_child_p (const gchar parent[], const gchar child[]);

/* old stuff */

/* check is pathname (relative to CWD) is in cdpath db */
gboolean path_in_cdpath (const gchar pathname[]);

gint add_dir (const gchar *src, const gchar *dir, gchar *dest, gint maxlen);

#endif /* __pathutil_h__ */
