# $Id: help.pl,v 1.2 2001/02/27 00:44:33 hvr Exp $

my $site_help = sub {
  my $topic = lc shift;

  $topic = "help" if not $topic;

  if ($topic =~ /privileged$/) {
    print "SITE HELP: non-privileged user tried to get priviliged version of help ('$topic')\n";
    return (502, "!BNo help available or unknown command '$topic'!0");
  }

  if (my $helptxt = FTP::retrieve_help ($topic))
    {
      $helptxt .= "<end of help>";

      return (501, $helptxt);
    }

  return (503, "!BNo help available or unknown command '$topic'!0");
};

&FTP::bind_site_cmd ("help", $site_help);

# EOF
