# $Id: list.pl,v 1.4 2001/06/24 16:47:31 prime Exp $

sub mailcheck {
   my $maildirectory = $FTP::cfg_var_path . "/mail";
   my $user = $FTP::var_user;

   if ( -s "$maildirectory/$user/inbox/index" ) {
     return "!CYou Have new messages waiting!0\n";
   }
}


my $list_stat_line = sub {
  my $section = $FTP::var_section;
  my ($ratio, $credit, $ul_session, $ul_total, $dl_session, $dl_total, $users,
      $max_users, $version, $free) =  map { FTP::get_variable ($_) } qw/L c p P d D n N v f/;

  if ($credit =~ /\d+/) {
    $credit = filesize_to_string_short ($credit);
  }

  $ul_session = filesize_to_string_short ($ul_session);
  $ul_total   = filesize_to_string_short ($ul_total);
  $dl_session = filesize_to_string_short ($dl_session);
  $dl_total   = filesize_to_string_short ($dl_total);
  my $cwd = getcwd();
  $free = filesize_to_string_short ($free * 1024);

  # change these two lines if you want to modify the output
  # check doc/colors.txt or the website for the color codes

  my $result = <<EOT;
!c[!CRATIO !H$ratio!c]-[!CCREDITS !H$credit!c]-[!CUL !H$ul_session !c(!H$ul_total!c)]-[!CDL !H$dl_session !c(!H$dl_total!c)]!0
!c[!CSECTION !H$section!c]-[!CFREE !H$free!c]-[!CUSERS !H$users !hof !H$max_users!c]-[!HOpenFTPD $version!c]!0
EOT

  $result .= mailcheck();

  return $result;
};

my $_ev_list_post = sub {
  my $result = &$list_stat_line ();
  return (1, $result);
};

my $_ev_list_pre = sub {
  return (1, "Opening ASCII mode data connection for /bin/ls.");
};

my $_site_stat = sub {
  my $result = &$list_stat_line ();
  return (225, $result);
};

# bind it
FTP::bind_event ("list_pre", $_ev_list_pre);
FTP::bind_event ("list_post", $_ev_list_post);

FTP::bind_site_cmd ("stat", $_site_stat);
