# TCL for Announcing ServerEvents and Public commands into IRC 
# This script runs if the bot receives a HUP-Signal 
# So the Site has to send the Bot a HUP if theres something to announce 
# 
#
#  I didnt write the original one, and I dont know who did, but I severly 
#  modified to the point it looks nothing like the original :)
#                      topace
#
#  i added some commands u know from glftpd like !sitebw instead of !site bw
#                      fejf
#
# modify ALL of the following variables to suit your needs

set ANNOUNCEFILE "/home/openftpd/etc/announce.txt"
set CHANNEL "#openftpd"
set PEOPLE ""
set trigger "!site"
set sitebot "/home/openftpd/bin/sitebot.pl"
set shortsitename "SITE"
set nfodir "/home/openftpd/nfo/"
set linebreakval 450

##############  SHOULDNT HAVE TO CHANGE ANYTHING PAST HERE!! #################

global botnick

proc fixStr {who text} {
  global shortsitename CHANNEL sitebot linebreakval

  set string1 $text
  set strilen [string length $string1]

  if { $strilen >= $linebreakval } {
      set loop 1
      set num 0
      set temp $string1

      while { $loop == 1 } {
            if {[string length $temp] < $linebreakval } {
                 set loop 0
            }

            set idx [string last " " [string range $temp 0 $linebreakval]]
            if { $idx > 0 } {
                 lappend out [string range $temp 0 [expr $idx-1]]
                 set temp [string range $temp $idx $strilen]
            } else {
                 lappend out [string range $temp 0 [expr $linebreakval-1]]
                 set temp [string range $temp $linebreakval $strilen]
            }
      }
      foreach txt $out { putserv "PRIVMSG $who :$txt" }
  } else {
      putserv "PRIVMSG $who :$text"
  }
}

# lets check if there is something to announce ...
if {[file exists $ANNOUNCEFILE]==1} {
  #open file for reading
  set f [open $ANNOUNCEFILE r]
  #and loop through the file
  while {[gets $f line] >= 0} {
      #we announce every line to channels
      #foreach chan $CHANNEL {putserv "PRIVMSG $chan :$line"}
      foreach chan $CHANNEL {fixStr $chan $line}
      #and to several people
      #foreach person $PEOPLE {putserv "PRIVMSG $person :$line"}
      foreach person $PEOPLE {fixStr $person $line}
  }
  close $f
  #announcing done - now remove the file
  exec rm $ANNOUNCEFILE
}

#sitebot command, for public commands via eggdrop
bind pub - $trigger pub_sitebot
proc pub_sitebot {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set sitebotcmd [lindex $text 0]
  set option1 [lindex $text 1]
  set option2 [lindex $text 2]
  set option3 [lindex $text 3]
  set option4 [lindex $text 4]
  set alloptions "chan $sitebotcmd $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  #putchan $channel "$result"
  foreach {l} [split $result \n] {fixStr $channel $l}
}

#sitebot command, for messaged commands via eggdrop
bind msg - $trigger msg_sitebot
proc msg_sitebot {nick host handle text} {
  global shortsitename CHANNEL sitebot
  set sitebotcmd [lindex $text 0]
  set option1 [lindex $text 1]
  set option2 [lindex $text 2]
  set option3 [lindex $text 3]
  set option4 [lindex $text 4]
  set alloptions "msg $sitebotcmd $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  #foreach {l} [split $result \n] { putserv "PRIVMSG $nick :$l" }
  foreach {l} [split $result \n] {fixStr $nick $l}
}

#test for linebreaks
bind msg - !test fix_string_lengths
proc fix_string_lengths {nick host handle text} {
  global shortsitename CHANNEL sitebot linebreakval

  set string1 $text
  set strilen [string length $string1]

  if { $strilen >= $linebreakval } {
      set loop 1
      set num 0
      set temp $string1

      while { $loop == 1 } {

            if {[string length $temp] < $linebreakval } {
                 set loop 0
            }

            set idx [string last " " [string range $temp 0 $linebreakval]]
            if { $idx > 0 } {
                 lappend out [string range $temp 0 [expr $idx-1]]
                 set temp [string range $temp $idx $strilen]
            } else {
                 lappend out [string range $temp 0 [expr $linebreakval-1]]
                 set temp [string range $temp $linebreakval $strilen]
            }
      }
      foreach txt $out { putserv "PRIVMSG $nick :$txt" }
  } else {
      putserv "PRIVMSG $nick :$text"
  }
}

#sitebot command for dccinfo

### use this line for !nfo
#bind pub -|- !nfo pub_nfo     
### use this line for !sitenfo
bind pub -|- [set trigger]nfo pub_nfo     
proc pub_nfo {nick host handle channel text} {
	global nfodir CHANNEL
	if [file exists "$nfodir$text"] {
		if [string match "*nfo" $text] {
			dccsend $nfodir$text $nick
			putserv "NOTICE $channel :$text was sent to $nick"
		} else {
			putserv "NOTICE $channel :$nick tried to get a non .nfo file!"
		}
	} else {
		putserv "NOTICE $channel :$nick the file you requested does not exist"
	}
}

#sitebot command, for help
bind pub - [set trigger]help pub_help
proc pub_help {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "msg help $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $nick $l}
}

#sitebot command, for who
bind pub - [set trigger]who pub_who
proc pub_who {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "msg who $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $nick $l}
}

#sitebot command, for df
bind pub - [set trigger]df pub_df
proc pub_df {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "chan df $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $channel $l}
}

#sitebot command, for usage
bind pub - [set trigger]usage pub_usage
proc pub_usage {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "chan usage $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $channel $l}
}

#sitebot command, for bw
bind pub - [set trigger]bw pub_bw
proc pub_bw {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "chan bw $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $channel $l}
}

#sitebot command, for nuketop
bind pub - [set trigger]nuketop pub_nuketop
proc pub_nuketop {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "chan nuketop $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $channel $l}
}

#sitebot command, for nukertop
bind pub - [set trigger]nukertop pub_nukertop
proc pub_nukertop {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "chan nukertop $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $channel $l}
}

#sitebot command, for affils
bind pub - [set trigger]affils pub_affils
proc pub_affils {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "chan affils $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $nick $l}
}

#sitebot command, for new
bind pub - [set trigger]new pub_new
proc pub_new {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "chan new $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $nick $l}
}

#sitebot command, for bnc
bind pub - [set trigger]bnc pub_bnc
proc pub_bnc {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "chan bnc $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $channel $l}
}

#sitebot command, for user/speed
bind pub - [set trigger]user pub_user
bind pub - [set trigger]speed pub_user
proc pub_user {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "chan user $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $channel $l}
}

#sitebot command, for requests
bind pub - [set trigger]requests pub_requests
proc pub_requests {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "msg requests $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $nick $l}
}

#sitebot command, for search/dupe
bind pub - [set trigger]search pub_search
bind pub - [set trigger]dupe pub_search
proc pub_search {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "msg search $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $nick $l}
}

#sitebot command, for stats
bind pub - [set trigger]stats pub_stats
proc pub_stats {nick host handle channel text} {
  global shortsitename CHANNEL sitebot
  set option1 [lindex $text 0]
  set option2 [lindex $text 1]
  set option3 [lindex $text 2]
  set option4 [lindex $text 3]
  set alloptions "msg stats $option1 $option2 $option3 $option4"
  set result [exec $sitebot $alloptions]
  foreach {l} [split $result \n] {fixStr $nick $l}
}

putlog "OpenFTPD Sitebot Loaded with GLFTPD-compatibilty"
